program szubrutinmeghivas
 implicit none
 real :: x, y

 write(*,*) 'Adjon meg ket szamot: '
 read(*,*) x,y

 call csere(x,y)
 write(*,*) 'A szamok megcserelve: ', x,y

 contains

 subroutine csere(a,b)
  implicit none
  real, intent(inout) :: a, b
  real :: c
 
  c=a
  a=b
  b=c

 end subroutine csere

end program szubrutinmeghivas
!/Tomi
